

#ifndef __ImageFmtExchg_h__
#define __ImageFmtExchg_h__

#define		__NO_ERROR_EXCHG__				0
#define		__ILLEGAL_STRM_DATA_SIZE__		-1
#define		__FAIL_ALLOCATED_RAW10_BUFFER__	-2

unsigned char *RawStrmToRaw10(unsigned char *pImgStrmBuffer, ULONG lImgStrmSiz, ULONG *lRaw10Siz, int *errState);
void freeRawExchgBuffer(unsigned char *pRawStrmBuffer);


#endif // #ifndef __ImageFmtExchg_h__